﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PersonalAccounting.DataAccess;

namespace PersonalAccounting.Business
{
    public class Moneda
    {

        #region Attributes

        private int _codigo;
        private string _nombre;
        private string _simbolo;

        #endregion

        #region Properties

        public int Codigo
        {
            get { return _codigo; }
            set { _codigo = value; }
        }

        public string Nombre
        {
            get { return _nombre; }
            set { _nombre = value; }
        }

        public string Simbolo
        {
            get { return _simbolo; }
            set { _simbolo = value; }
        }

        #endregion

        #region Constructors

        public Moneda()
        {
            _codigo = 0;
            _nombre = string.Empty;
            _simbolo = string.Empty;
        }

        public Moneda(MonedaVO obj)
        {
            _codigo = obj.Codigo;
            _nombre = obj.Nombre;
            _simbolo = obj.Simbolo;
        }

        #endregion

        #region ToString

        public override string ToString()
        {
            return _nombre + " (" + _simbolo + ")";
        }

        #endregion

    }
}