﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PersonalAccounting.DataAccess;

namespace PersonalAccounting.Business
{
    public abstract class ConnectionFacade
    {
        public static bool Connect()
        {
            try
            {
                SQLiteConn.GetInstance().Connect();
                return true;
            }
            catch
            {
                return false;
            }
        }

        public static bool Disconnect()
        {
            try
            {
                SQLiteConn.GetInstance().Disconnect();
                return true;
            }
            catch
            {
                return false;
            }
        }
    }
}