﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PersonalAccounting.Business
{
    interface IFacade<T>
    {

        bool Select(T obj);

        void Load(T obj);


        bool Insert(T obj);

        bool Update(T obj);
        
        bool Delete(T obj);


        List<T> GetAll();

    }
}