﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PersonalAccounting.DataAccess
{
    public class CuentaVO
    {

        #region Attributes

        private int _codigo;
        private MonedaVO _moneda; 
        private string _nombre;

        #endregion

        #region Properties

        public int Codigo
        {
            get { return _codigo; }
            set { _codigo = value; }
        }

        public MonedaVO Moneda 
        {
            get { return _moneda; }
            set { _moneda = value; }
        }

        public string Nombre
        {
            get { return _nombre; }
            set { _nombre = value; }
        }

        #endregion

        #region Constructor

        public CuentaVO()
        {
            _codigo = 0;
            _moneda = new MonedaVO();
            _nombre = string.Empty;
        }

        public CuentaVO(int codigo, MonedaVO moneda, string nombre)
        {
            _codigo = codigo;
            _moneda = moneda;
            _nombre = nombre;
        }

        #endregion

    }
}