﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PersonalAccounting.DataAccess
{
    public class MonedaVO
    {

        #region Attributes

        private int _codigo;
        private string _nombre;
        private string _simbolo;

        #endregion

        #region Properties

        public int Codigo
        {
            get { return _codigo; }
            set { _codigo = value; }
        }

        public string Nombre
        {
            get { return _nombre; }
            set { _nombre = value; }
        }

        public string Simbolo
        {
            get { return _simbolo; }
            set { _simbolo = value; }
        }

        #endregion

        #region Constructor

        public MonedaVO()
        {
            _codigo = 0;
            _nombre = string.Empty;
            _simbolo = string.Empty;
        }

        public MonedaVO(int codigo, string nombre, string simbolo)
        {
            _codigo = codigo;
            _nombre = nombre;
            _simbolo = simbolo;
        }

        #endregion

    }
}