﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using PersonalAccounting.DataAccess;

namespace PersonalAccounting.Business
{
    public class Saldo
    {

        #region Attributes

        private Cuenta _cuenta;
        private double _saldoCuenta;

        #endregion

        #region Properties

        public Cuenta Cuenta
        {
            get { return _cuenta; }
            set { _cuenta = value; }
        }

        public double SaldoCuenta
        {
            get { return _saldoCuenta; }
            set { _saldoCuenta = value; }
        }

        #endregion

        #region Constructors

        public Saldo()
        {
            _cuenta = new Cuenta();
            _saldoCuenta = 0;
        }

        public Saldo(SaldoVO obj)
        {
            _cuenta = new Cuenta(obj.Cuenta);
            _saldoCuenta = obj.Saldo;
        }

        #endregion

    }
}