﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.SQLite;

namespace PersonalAccounting.DataAccess
{
    public interface IDAO<T>
    {

        bool Select(T obj);

        void Load(T obj, SQLiteDataReader reader);


        bool Insert(T obj);

        bool Update(T obj);

        bool Delete(T obj);


        List<T> GetAll();

    }
}