﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PersonalAccounting.DataAccess
{
    public class SaldoVO
    {

        #region Attributes

        private CuentaVO _cuenta;
        private double _saldo;

        #endregion

        #region Properties

        public CuentaVO Cuenta
        {
            get { return _cuenta; }
            set { _cuenta = value; }
        }

        public double Saldo
        {
            get { return _saldo; }
            set { _saldo = value; }
        }

        #endregion

        #region Constructor

        public SaldoVO()
        {
            _cuenta = new CuentaVO();
            _saldo = 0;
        }

        public SaldoVO(CuentaVO cuenta, double saldo)
        {
            _cuenta = cuenta;
            _saldo = saldo;
        }

        #endregion

    }
}